Subject: RE: MAU MIB open issues 4 and 5

From: Andrew Smith <[email-masked]>
Date: Fri, 30 Oct 1998 17:42:25 -0800

> -----Original Message-----
> From: John Flick [mailto:[email-masked]]
> Sent: Friday, October 30, 1998 5:08 PM
> To: [email-masked]
> Subject: MAU MIB open issues
> 
On issue 4, I think we should get the MIB out as RFC a.s.a.p., then think
about advancing to draft later on. I do not think we should delay publishing
as an RFC for this reason.

On issue 5, I think we should allow read-only MIN-ACCESS for those objects
that were identified as having 1 or fewer read-write implementations in the
RFC2239 survey. I think that would include just rpMauStatus.

Andrew

> 4. Should we worry now about what to deprecate as a result of
>    implementor feedback, or wait until we actually have a chance to
>    advance to Draft?
>    I am assuming that with the changes we are making in adding several 
>    new objects and replacing the bits-like INTEGER objects with actual
>    BITS objects that we probably won't be able to advance directly to
>    Draft.  We could put this off, and do another implementor's survey
>    when we actually have a chance of advancing.  Or we could deprecate 
>    some things now that we know are never going to get implemented
>    (like broadMauBasicTable) and worry about some questionable ones
>    (rpJackTable, rpMauFalseCarriers) in the next go-round.
> 
> 5. Should some of the MAX-ACCESS read-write objects have a MIN-ACCESS
>    of read-only in the MODULE-COMPLIANCE statements?
>    The following objects have MAX-ACCESS read-write:
>        rpMauStatus
>        ifMauStatus
>        ifMauDefaultType
>        ifMauAutoNegAdminStatus
>        ifMauAutoNegRestart
>        ifMauAutoNegCapAdvertisedBits
>        ifMauAutoNegRemoteFaultAdvertised
>    Implementor feedback seemed to implement many, if not all, of these 
>    objects were implemented read-only on some implementations.  Which
>    should it be considered compliant behaviour to implement read-only?

****************************************************************
Andrew Smith                              tel: +1 (408) 863-2821
Extreme Networks                          fax: +1 (408) 342-0990
10460 Bandley Drive               http://www.extremenetworks.com
Cupertino CA 95014               em:  [email-masked]
****************************************************************